Bug 512138 - Review Request: perl-CGI-Application-Plugin-DebugScreen - Add Debug support to CGI::Application
Summary: Review Request: perl-CGI-Application-Plugin-DebugScreen - Add Debug support t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-16 14:16 UTC by Emmanuel Seyman
Modified: 2009-07-23 19:10 UTC (History)
3 users (show)

Fixed In Version: 0.06-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-23 19:10:55 UTC
panemade: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Parag AN(पराग) 2009-07-17 04:29:24 UTC
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1481033
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
19b67f3d6be4c3eabe3661e04086c4e8b115ac43  CGI-Application-Plugin-DebugScreen-0.06.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
Files=1, Tests=1,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.04 cusr  0.01 csys =  0.08 CPU)
+ Package  perl-CGI-Application-Plugin-DebugScreen-0.06-1.fc12.noarch
Provides: perl(CGI::Application::Plugin::DebugScreen) = 0.06
Requires: perl(Devel::StackTrace) perl(HTML::Template) perl(IO::File) perl(UNIVERSAL::require) perl(strict) perl(warnings)

APPROVED.

Comment 2 Emmanuel Seyman 2009-07-17 06:39:23 UTC
(In reply to comment #1)
>
> APPROVED.

Thanks! Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-CGI-Application-Plugin-DebugScreen
Short Description: Add Debug support to CGI::Application
Owners: eseyman
Branches: F-11 F-10
InitialCC: perl-sig

Comment 3 Jason Tibbitts 2009-07-17 15:47:55 UTC
CVS done.

Comment 4 Fedora Update System 2009-07-17 17:31:43 UTC
perl-CGI-Application-Plugin-DebugScreen-0.06-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-DebugScreen-0.06-1.fc11

Comment 5 Fedora Update System 2009-07-22 21:59:31 UTC
perl-CGI-Application-Plugin-DebugScreen-0.06-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Plugin-DebugScreen'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7879

Comment 6 Fedora Update System 2009-07-23 19:10:50 UTC
perl-CGI-Application-Plugin-DebugScreen-0.06-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.